This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 990727 - cmirror debugging appears to be on by default
cmirror debugging appears to be on by default
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.5
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: LVM and device-mapper development team
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 17:02 EDT by Corey Marthaler
Modified: 2013-08-05 07:57 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 07:57:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2013-07-31 17:02:13 EDT
Description of problem:

Jul 31 15:50:19 taft-01 qarshd[11843]: Running cmdline: lvcreate -m 1 -n fsadm_resize -L 200M --nosync mirror_sanity

Jul 31 15:50:21 taft-01 rsyslogd-2177: imuxsock lost 5416 messages from pid 2430 due to rate-limiting
Jul 31 15:50:21 taft-01 cmirrord[2430]:
Jul 31 15:50:21 taft-01 cmirrord[2430]: LOG COMPONENT DEBUGGING::
Jul 31 15:50:21 taft-01 cmirrord[2430]: Official log list:
Jul 31 15:50:21 taft-01 cmirrord[2430]: Pending log list:
Jul 31 15:50:21 taft-01 cmirrord[2430]: LVM-9o75o0r6YVj4vvDkcFiNst9bhrOxh8Ih6BLLsTN00oI8kO4wrIvS9CYbGW37NlVd
Jul 31 15:50:21 taft-01 cmirrord[2430]: sync_bits:
Jul 31 15:50:21 taft-01 cmirrord[2430]: [  0 -  15] FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF
Jul 31 15:50:21 taft-01 cmirrord[2430]: [ 16 -  31] FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF
Jul 31 15:50:21 taft-01 cmirrord[2430]: [ 32 -  47] FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF
Jul 31 15:50:21 taft-01 cmirrord[2430]: [ 48 -  63] FF FF
Jul 31 15:50:21 taft-01 cmirrord[2430]: clean_bits:
Jul 31 15:50:21 taft-01 cmirrord[2430]: [  0 -  15] 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Jul 31 15:50:21 taft-01 cmirrord[2430]: [ 16 -  31] 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Jul 31 15:50:21 taft-01 cmirrord[2430]: [ 32 -  47] 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Jul 31 15:50:21 taft-01 cmirrord[2430]: [ 48 -  63] 00 00
Jul 31 15:50:21 taft-01 cmirrord[2430]:
Jul 31 15:50:21 taft-01 cmirrord[2430]: CLUSTER COMPONENT DEBUGGING::

Version-Release number of selected component (if applicable):
2.6.32-404.el6.x86_64
lvm2-2.02.100-0.35.el6    BUILT: Tue Jul 30 09:44:33 CDT 2013
lvm2-libs-2.02.100-0.35.el6    BUILT: Tue Jul 30 09:44:33 CDT 2013
lvm2-cluster-2.02.100-0.35.el6    BUILT: Tue Jul 30 09:44:33 CDT 2013
udev-147-2.46.el6    BUILT: Tue Jan 15 06:41:59 CST 2013
device-mapper-1.02.79-0.35.el6    BUILT: Tue Jul 30 09:44:33 CDT 2013
device-mapper-libs-1.02.79-0.35.el6    BUILT: Tue Jul 30 09:44:33 CDT 2013
device-mapper-event-1.02.79-0.35.el6    BUILT: Tue Jul 30 09:44:33 CDT 2013
device-mapper-event-libs-1.02.79-0.35.el6    BUILT: Tue Jul 30 09:44:33 CDT 2013
cmirror-2.02.100-0.35.el6    BUILT: Tue Jul 30 09:44:33 CDT 2013
Comment 2 Peter Rajnoha 2013-08-05 07:40:38 EDT
This logging code should trigger only on SIGUSR1 or SIGUSR2:

static void process_signal(int sig){
...
...
     case SIGUSR1:
     case SIGUSR2:
                log_debug();
                /*local_debug();*/
                cluster_debug();
                return;
...
...
}

Where the log_debug is the fn that generates the log as reported. And this signal handler is the only log_debug() call I see in the code.

Any chance there were some signals sent to cmirrord?
Comment 3 Peter Rajnoha 2013-08-05 07:49:06 EDT
Aha, it seems we sent this signals ourselves :) But only if DEBUG is defined. And this *is defined* for nightly builds...

So nigthly builds != real builds.
Comment 4 Peter Rajnoha 2013-08-05 07:57:53 EDT
Well, I'm closing this bug report then - either we need to disable the DEBUG in nightly builds or just count with extra debug messages if it's enabled... I'll let Marian to decide.

Note You need to log in before you can comment on or make changes to this bug.